[osg-users] Did anyone compile osg 2.2 with MINGW?

Michele Bosi michele.bosi at gmail.com
Wed Oct 10 17:10:39 PDT 2007


Just to inform the few ones interested in building OSG with MinGW:
the problem seems to arise when BUILD_OSG_WRAPPERS is set to ON in
both 2.0 and 2.2 version. So if anyone gets this error the thing that
you have to do is to switch off that variable.
It seems that MinGW (Current and Candidate) are unable to build the
"introspection" modules in both OSG 2.0 and 2.2 because it doesn't
support the "wide character" part of the Standard C++ Library (see
http://www.mingw.org/MinGWiki/index.php/wide%20characters).
A suggested solution is to use STLPort instead of libstdc++.

Good luck MinGW users!
Michele



More information about the osg-users mailing list